#! /usr/bin/python
# -*- coding: iso-8859-15 -*-
#
__author__='atareao'
__date__ ='$06-jun-2010 12:34:44$'
#
# <one line to give the program's name and a brief idea of what it does.>
#
# Copyright (C) 2010 Lorenzo Carbonell
# lorenzo.carbonell.cerezo@gmail.com
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
#
import gtk
import comun
from comun import filepath
import locale
import gettext

locale.setlocale(locale.LC_ALL, '')
gettext.bindtextdomain(comun.APP, comun.LANGDIR)
gettext.textdomain(comun.APP)
_ = gettext.gettext

class EditImage(gtk.Dialog):
	def __init__(self,parent,image):
		#
		gtk.Dialog.__init__(self,_('Edit Image'),parent,gtk.DIALOG_MODAL | gtk.DIALOG_DESTROY_WITH_PARENT,(gtk.STOCK_OK, gtk.RESPONSE_ACCEPT,gtk.STOCK_CANCEL, gtk.RESPONSE_REJECT))
		self.set_position(gtk.WIN_POS_CENTER_ALWAYS)
		self.set_size_request(510,170)
		self.set_resizable(False)
		self.connect('destroy', self.close)
		#
		vbox = gtk.VBox(spacing = 5)
		vbox.set_border_width(5)
		self.get_content_area().add(vbox)
		#
		frame = gtk.Frame()
		vbox.pack_start(frame,True,True)
		#
		table = gtk.Table(rows = 4, columns = 2, homogeneous = False)
		table.set_border_width(5)
		table.set_col_spacings(5)
		table.set_row_spacings(5)
		frame.add(table)
		#
		label1 = gtk.Label(_('Title')+':')
		label1.set_alignment(0,0.5)
		table.attach(label1,0,1,0,1, xoptions = gtk.FILL, yoptions = gtk.SHRINK)
		#
		self.entry1 = gtk.Entry()
		self.entry1.set_alignment(0)
		self.entry1.set_width_chars(50)
		table.attach(self.entry1,1,2,0,1, xoptions = gtk.EXPAND, yoptions = gtk.SHRINK)
		#
		label2 = gtk.Label(_('Summary')+':')
		label2.set_alignment(0,0.5)
		table.attach(label2,0,1,1,2, xoptions = gtk.FILL, yoptions = gtk.SHRINK)
		#
		self.entry2 = gtk.Entry()
		self.entry2.set_alignment(0)
		self.entry2.set_width_chars(50)
		table.attach(self.entry2,1,2,1,2, xoptions = gtk.EXPAND, yoptions = gtk.SHRINK)
		#
		label3 = gtk.Label(_('Tags')+':')
		label3.set_alignment(0,0.5)
		table.attach(label3,0,1,2,3, xoptions = gtk.FILL, yoptions = gtk.SHRINK)
		#
		self.entry3 = gtk.Entry()
		self.entry3.set_alignment(0)
		self.entry3.set_width_chars(50)
		table.attach(self.entry3,1,2,2,3, xoptions = gtk.EXPAND, yoptions = gtk.SHRINK)
		#
		if image != None:
			self.entry1.set_text(image.title.text)
			if image.summary.text != None:
				self.entry2.set_text(image.summary.text)
			if image.media.keywords.text != None:
				self.entry3.set_text(image.media.keywords.text)
		#
		self.show_all()

	def close(self,widget):
		self.destroy()

if __name__ == '__main__':
	ia = EditImage(None,None)
	ia.run()
